<?php
// api/check-permission.php - Check if current user has specific permission
require_once __DIR__ . '/../config/config.php';
require_once __DIR__ . '/../helpers/AuthHelper.php';
require_once __DIR__ . '/../helpers/RoleHelper.php';

AuthHelper::requireLogin();

header('Content-Type: application/json');

$permission = $_GET['permission'] ?? null;

if (!$permission) {
    echo json_encode(['success' => false, 'error' => 'Permission parameter required']);
    exit;
}

try {
    $hasPermission = RoleHelper::hasPermission($permission);
    
    echo json_encode([
        'success' => true,
        'hasPermission' => $hasPermission,
        'permission' => $permission,
        'userRole' => $_SESSION['user_role'] ?? 'user'
    ]);
} catch (Exception $e) {
    echo json_encode([
        'success' => false,
        'hasPermission' => false,
        'error' => 'Permission check failed'
    ]);
}
?>