<?php
// api/get-user-permissions.php - API endpoint for permission management
require_once __DIR__ . '/../config/config.php';
require_once __DIR__ . '/../helpers/AuthHelper.php';
require_once __DIR__ . '/../helpers/RoleHelper.php';

// Require owner access for this API
AuthHelper::requireOwner($pdo);

header('Content-Type: application/json');

$userId = filter_var($_GET['user_id'] ?? null, FILTER_VALIDATE_INT);

if (!$userId) {
    echo json_encode(['success' => false, 'error' => 'Invalid user ID']);
    exit;
}

try {
    $permissions = RoleHelper::getUserPermissions($userId);
    echo json_encode([
        'success' => true,
        'permissions' => $permissions
    ]);
} catch (Exception $e) {
    echo json_encode([
        'success' => false,
        'error' => 'Failed to load permissions'
    ]);
}
?>