<?php
class PermissionHelper
{
    // Check if the user owns the item before allowing access
    public static function checkItemAccess(PDO $pdo, int $user_id, int $item_id): bool
    {
        $stmt = $pdo->prepare("CALL whsale_inventory_pro_check_item_ownership(?, ?)");
        $stmt->execute([$user_id, $item_id]);
        $result = $stmt->fetch();
        $stmt->closeCursor();

        return $result && $result['has_access'] == 1;
    }

    // Optional: Enforce admin-only logic
    public static function isAdmin(PDO $pdo, int $user_id): bool
    {
        $stmt = $pdo->prepare("CALL whsale_inventory_pro_check_admin(?)");
        $stmt->execute([$user_id]);
        $result = $stmt->fetch();
        $stmt->closeCursor();

        return $result && $result['is_admin'] == 1;
    }
}
